{# Form allowing to edit a relationship #}

<div class="add_member_modal" data-modal-id="{{ contact.get('contact_id') }}">
<h2>{{ __('Role of %s in %s', 'civicrm-frontoffice')|format(member.get('display_name'), contact.get('display_name')) }}</h2>
    <datalist id="roles">
        <option value="{{ __('President', 'civicrm-frontoffice') }}"/>
        <option value="{{ __('Vice-President', 'civicrm-frontoffice') }}"/>
        <option value="{{ __('Treasurer', 'civicrm-frontoffice') }}"/>
        <option value="{{ __('General secretary', 'civicrm-frontoffice') }}"/>
        <option value="{{ __('Volunteer', 'civicrm-frontoffice') }}"/>
        <option value="{{ __('Employee', 'civicrm-frontoffice') }}"/>
    </datalist>

    <label>
        {{ __('Role', 'civicrm-frontoffice') }}
        <input list="roles" name="new_member_role" type="text" value="{{ relationship.get('description') }}" />
    </label>
    {% if not hideAdmin or not contact.hasAdmin() %}
        {% if not hideAdmin %}
            <label>
                <input type="checkbox" {% if relationship.get('is_permission_a_b') == 1 %} checked="checked" {% endif %} name="new_member_admin"/>
                {{ __('Admin', 'civicrm-frontoffice') }}
            </label>
        {% elseif not contact.hasAdmin() %}
            <p>{{ __('You are the first person to join this organization, so you will be its admin.', 'civicrm-frontoffice') }}</p>
        {% endif %}
        <p>{{ __('Admins can edit the organization and add new members.', 'civicrm-frontoffice') }}</p>
    {% endif %}
    <br>
<input type="hidden" name="new_member_id" value="{{ member.get('contact_id') }}" />
<input type="hidden" name="organization_id" value="{{ contact.get('contact_id') }}" />
{{ wp_nonce_field('add_member') }}
</div>
<input type="submit" {% if modal %}data-open-modal="{{ contact.get('contact_id') }}"{% endif %} value="{{ submitLabel }}" />
